public interface SqlInstancesPreCheckMajorVersionUpgradeRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getBody()
public abstract InstancesPreCheckMajorVersionUpgradeRequest getBody()Required. The context for request to perform the pre-check major version upgrade operation.
.google.cloud.sql.v1.InstancesPreCheckMajorVersionUpgradeRequest body = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
InstancesPreCheckMajorVersionUpgradeRequest |
The body. |
getBodyOrBuilder()
public abstract InstancesPreCheckMajorVersionUpgradeRequestOrBuilder getBodyOrBuilder()Required. The context for request to perform the pre-check major version upgrade operation.
.google.cloud.sql.v1.InstancesPreCheckMajorVersionUpgradeRequest body = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
InstancesPreCheckMajorVersionUpgradeRequestOrBuilder |
|
getInstance()
public abstract String getInstance()Required. Cloud SQL instance ID. This does not include the project ID.
string instance = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The instance. |
getInstanceBytes()
public abstract ByteString getInstanceBytes()Required. Cloud SQL instance ID. This does not include the project ID.
string instance = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for instance. |
getProject()
public abstract String getProject()Required. Project ID of the project that contains the instance.
string project = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The project. |
getProjectBytes()
public abstract ByteString getProjectBytes()Required. Project ID of the project that contains the instance.
string project = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for project. |
hasBody()
public abstract boolean hasBody()Required. The context for request to perform the pre-check major version upgrade operation.
.google.cloud.sql.v1.InstancesPreCheckMajorVersionUpgradeRequest body = 3 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the body field is set. |